<?php

namespace App\Repository;

use App\Entity\TDirectors;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

/**
 * @method TDirectors|null find($id, $lockMode = null, $lockVersion = null)
 * @method TDirectors|null findOneBy(array $criteria, array $orderBy = null)
 * @method TDirectors[]    findAll()
 * @method TDirectors[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class TDirectorsRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, TDirectors::class);
    }

    // /**
    //  * @return TDirectors[] Returns an array of TDirectors objects
    //  */
    /*
    public function findByExampleField($value)
    {
        return $this->createQueryBuilder('t')
            ->andWhere('t.exampleField = :val')
            ->setParameter('val', $value)
            ->orderBy('t.id', 'ASC')
            ->setMaxResults(10)
            ->getQuery()
            ->getResult()
        ;
    }
    */

    /*
    public function findOneBySomeField($value): ?TDirectors
    {
        return $this->createQueryBuilder('t')
            ->andWhere('t.exampleField = :val')
            ->setParameter('val', $value)
            ->getQuery()
            ->getOneOrNullResult()
        ;
    }
    */
}
